Bug 1416544 - Oops: 0003 [#1] SMP BUG: unable to handle kernel paging request at ffff9e1990400000
Summary: Oops: 0003 [#1] SMP BUG: unable to handle kernel paging request at ffff9e1990...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 25
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-25 18:56 UTC by Nate Clark
Modified: 2019-01-09 12:54 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-13 16:38:42 UTC
Type: Bug


Attachments (Terms of Use)

Description Nate Clark 2017-01-25 18:56:18 UTC
Description of problem:

device md1 was being stopped and around the same time udevd tried to scan the /devices/virtual/block/md1 which caused an Oops.

Version-Release number of selected component (if applicable):
kernel-4.9.4-201

How reproducible:
Not very since it seems to be a tight timing issue.


Steps to Reproduce:
1. mdadm --stop <md>

Actual results:
Oops occurs and systemd-udevd is killed

Expected results:
Kernel returns appropriate error for the device not existing anymore to udevd.

Additional info:

[  239.158337] md1: detected capacity change from 1071054848 to 0
[  239.158342] md: md1 stopped.
[  239.158351] md: unbind<sdb1>
[  239.173147] md: export_rdev(sdb1)
[  239.173293] md: unbind<sda1>
[  239.185150] md: export_rdev(sda1)
[  239.186350] BUG: unable to handle kernel paging request at ffff9e1990400000
[  239.194578] IP: [<ffffffff834028d1>] __memmove+0x81/0x1a0
[  239.200986] PGD 786284067 
[  239.203922] PUD 85aca0063 
[  239.207260] PMD 8523ec063 
[  239.208705] PTE 8000000850400161
[  239.212691] 
[  239.214610] Oops: 0003 [#1] SMP
[  239.218396] Modules linked in: fuse btrfs xor raid6_pq hfsplus hfs minix vfat msdos fat jfs xfs libcrc32c ipmi_devintf nfsv3 nfs_acl rpcsec_gss_krb5 auth_rpcgss nfsv4 dns_resolver nfs lockd grace sunrpc fscache raid1 ses enclosure intel_rapl sb_edac edac_core x86_pkg_temp_thermal intel_powerclamp kvm_intel kvm irqbypass crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel ipmi_ssif ixgbe intel_cstate isci mpt3sas e1000e iTCO_wdt iTCO_vendor_support intel_uncore libsas uas raid_class i2c_i801 intel_rapl_perf mdio mei_me scsi_transport_sas ptp dca joydev usb_storage mei pps_core lpc_ich i2c_smbus shpchp ipmi_si ipmi_msghandler fjes tpm_tis tpm_tis_core tpm
[  239.292139] CPU: 4 PID: 9611 Comm: systemd-udevd Not tainted 4.9.4-201.1.rno220.x86_64 #1
[  239.301766] Hardware name: Newisys NDS-SB1EA/NDS-SB1EA, BIOS HDS 9.00 11/13/2014
[  239.310515] task: ffff9e198b580000 task.stack: ffffaad60984c000
[  239.317377] RIP: 0010:[<ffffffff834028d1>]  [<ffffffff834028d1>] __memmove+0x81/0x1a0
[  239.326698] RSP: 0018:ffffaad60984fdd0  EFLAGS: 00010a02
[  239.332916] RAX: ffff9e19902f2000 RBX: ffffffffffffeff0 RCX: 1ffffffffffde1fe
[  239.341180] RDX: ffffffffffffeff0 RSI: ffff9e1990401000 RDI: ffff9e1990400000
[  239.349439] RBP: ffffaad60984fdf8 R08: 0000000000000000 R09: 0000000000000000
[  239.357728] R10: ffff9e19902f0fe8 R11: 0000000000000000 R12: ffff9e19902f2000
[  239.366009] R13: 0000000000001000 R14: 0000000000001000 R15: ffff9e19940d3cc0
[  239.374267] FS:  00007efd86aac640(0000) GS:ffff9e199f300000(0000) knlGS:0000000000000000
[  239.383768] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[  239.390449] CR2: ffff9e1990400000 CR3: 0000000854017000 CR4: 00000000000406e0
[  239.398671] Stack:
[  239.401181]  ffffffff832e1b03 ffff9e19902f2000 ffffaad60984ff18 ffffaad60984ff18
[  239.410238]  0000556522e65ee0 ffffaad60984fe40 ffffffff832e1424 0000000000001000
[  239.419356]  ffff9e19940d3cd8 ffff9e198202ff00 ffffaad60984ff18 ffff9e198202ff00
[  239.428449] Call Trace:
[  239.431452]  [<ffffffff832e1b03>] ? sysfs_kf_read+0x83/0xc0
[  239.437967]  [<ffffffff832e1424>] kernfs_fop_read+0xb4/0x190
[  239.444573]  [<ffffffff832583a7>] __vfs_read+0x37/0x150
[  239.450685]  [<ffffffff8337267b>] ? security_file_permission+0x9b/0xc0
[  239.458264]  [<ffffffff83259526>] vfs_read+0x96/0x130
[  239.464190]  [<ffffffff8325aa15>] SyS_read+0x55/0xc0
[  239.470049]  [<ffffffff8381cbf7>] entry_SYSCALL_64_fastpath+0x1a/0xa9
[  239.477508] Code: 08 4c 89 4f 10 4c 89 47 18 48 8d 7f 20 73 d4 48 83 c2 20 e9 a2 00 00 00 66 90 48 89 d1 4c 8b 5c 16 f8 4c 8d 54 17 f8 48 c1 e9 03 <f3> 48 a5 4d 89 1a e9 0c 01 00 00 0f 1f 40 00 48 89 d1 4c 8b 1e 
[  239.504682] RIP  [<ffffffff834028d1>] __memmove+0x81/0x1a0
[  239.511192]  RSP <ffffaad60984fdd0>
[  239.515367] CR2: ffff9e1990400000
[  239.519349] ---[ end trace 46ff8ea7cef5905f ]---
[  239.525205] systemd-udevd[263]: worker [9611] terminated by signal 9 (Killed)
[  239.533495] systemd-udevd[263]: worker [9611] failed while handling '/devices/virtual/block/md1'

Comment 1 Nate Clark 2017-02-06 18:12:44 UTC
Here are three more panics that seem to be related to accessing sysfs using the pr-allocated buffer path. These did occur on two different systems but the same hardware model.

[  236.961676] BUG: unable to handle kernel paging request at ffff9765454c0000
[  236.969862] IP: [<ffffffffbb402c21>] __memmove+0x81/0x1a0
[  236.976258] PGD 3e5284067 [  236.979153] PUD 85aca0063 
PMD 8421e1063 [  236.983945] PTE 80000008454c0161
[  236.987880] 
[  236.989783] Oops: 0003 [#1] SMP
[  236.993566] Modules linked in: fuse btrfs xor raid6_pq hfsplus hfs minix vfat msdos fat jfs xfs libcrc32c ipmi_devintf nfsv3 nfs_acl rpcsec_gss_krb5 auth_rpcgss nfsv4 dns_resolver nfs lockd grace sunrpc fscache raid1 ses enclosure intel_rapl sb_edac edac_core x86_pkg_temp_thermal intel_powerclamp kvm_intel kvm irqbypass crct10dif_pclmul ipmi_ssif crc32_pclmul crc32c_intel ghash_clmulni_intel iTCO_wdt mpt3sas iTCO_vendor_support e1000e ixgbe intel_cstate isci intel_uncore libsas raid_class ptp mei_me mdio scsi_transport_sas pps_core uas i2c_i801 dca intel_rapl_perf usb_storage joydev mei lpc_ich i2c_smbus shpchp ipmi_si ipmi_msghandler fjes tpm_tis tpm_tis_core tpm
[  237.067102] CPU: 8 PID: 9660 Comm: systemd-udevd Not tainted 4.9.6-200.fc25.x86_64 #1
[  237.076292] Hardware name: Newisys NDS-SB1EA/NDS-SB1EA, BIOS HDS 9.00 11/13/2014
[  237.085002] task: ffff97653fce0000 task.stack: ffffb76cc94cc000
[  237.091897] RIP: 0010:[<ffffffffbb402c21>]  [<ffffffffbb402c21>] __memmove+0x81/0x1a0
[  237.101184] RSP: 0018:ffffb76cc94cfdd0  EFLAGS: 00010a02
[  237.107364] RAX: ffff976545128000 RBX: ffffffffffffeff0 RCX: 1ffffffffff8cdfe
[  237.115603] RDX: ffffffffffffeff0 RSI: ffff9765454c1000 RDI: ffff9765454c0000
[  237.123841] RBP: ffffb76cc94cfdf8 R08: 0000000000000000 R09: 0000000000000000
[  237.132103] R10: ffff976545126fe8 R11: 0000000000000000 R12: ffff976545128000
[  237.140384] R13: 0000000000001000 R14: 0000000000001000 R15: ffff9765536b6cc0
[  237.148608] FS:  00007f1fb2158640(0000) GS:ffff97655f400000(0000) knlGS:0000000000000000
[  237.158132] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[  237.164814] CR2: ffff9765454c0000 CR3: 000000082fa0c000 CR4: 00000000000406e0
[  237.173058] Stack:
[  237.175615]  ffffffffbb2e1e63 ffff976545128000 ffffb76cc94cff18 ffffb76cc94cff18
[  237.184695]  000056454014cee0 ffffb76cc94cfe40 ffffffffbb2e1784 0000000000001000
[  237.193788]  ffff9765536b6cd8 ffff97654bbe5700 ffffb76cc94cff18 ffff97654bbe5700
[  237.202852] Call Trace:
[  237.205840]  [<ffffffffbb2e1e63>] ? sysfs_kf_read+0x83/0xc0
[  237.212380]  [<ffffffffbb2e1784>] kernfs_fop_read+0xb4/0x190
[  237.218985]  [<ffffffffbb258667>] __vfs_read+0x37/0x150
[  237.225069]  [<ffffffffbb3729db>] ? security_file_permission+0x9b/0xc0
[  237.232631]  [<ffffffffbb2597e6>] vfs_read+0x96/0x130
[  237.238572]  [<ffffffffbb25acd5>] SyS_read+0x55/0xc0
[  237.244426]  [<ffffffffbb81cc77>] entry_SYSCALL_64_fastpath+0x1a/0xa9
[  237.251918] Code: 08 4c 89 4f 10 4c 89 47 18 48 8d 7f 20 73 d4 48 83 c2 20 e9 a2 00 00 00 66 90 48 89 d1 4c 8b 5c 16 f8 4c 8d 54 17 f8 48 c1 e9 03 <f3> 48 a5 4d 89 1a e9 0c 01 00 00 0f 1f 40 00 48 89 d1 4c 8b 1e 
[  237.278950] RIP  [<ffffffffbb402c21>] __memmove+0x81/0x1a0
[  237.285417]  RSP <ffffb76cc94cfdd0>
[  237.289610] CR2: ffff9765454c0000
[  237.293569] ---[ end trace a8e6e3f47dca1fdd ]---
[  237.293573] BUG: unable to handle kernel paging request at ffff97653b254540
[  237.293578] IP: [<ffffffffbb278d66>] dup_fd+0xc6/0x280
[  237.293580] PGD 3e5284067 
[  237.293581] PUD 84b430063 
[  237.293582] PMD 8453a5063 
[  237.293582] PTE 0
[  237.293583] 
[  237.293584] Oops: 0000 [#2] SMP
[  237.293619] Modules linked in: fuse btrfs xor raid6_pq hfsplus hfs minix vfat msdos fat jfs xfs libcrc32c ipmi_devintf nfsv3 nfs_acl rpcsec_gss_krb5 auth_rpcgss nfsv4 dns_resolver nfs lockd grace sunrpc fscache raid1 ses enclosure intel_rapl sb_edac edac_core x86_pkg_temp_thermal intel_powerclamp kvm_intel kvm irqbypass crct10dif_pclmul ipmi_ssif crc32_pclmul crc32c_intel ghash_clmulni_intel iTCO_wdt mpt3sas iTCO_vendor_support e1000e ixgbe intel_cstate isci intel_uncore libsas raid_class ptp mei_me mdio scsi_transport_sas pps_core uas i2c_i801 dca intel_rapl_perf usb_storage joydev mei lpc_ich i2c_smbus shpchp ipmi_si ipmi_msghandler fjes tpm_tis tpm_tis_core tpm
[  237.293621] CPU: 2 PID: 9657 Comm: sh Tainted: G      D         4.9.6-200.fc25.x86_64 #1
[  237.293622] Hardware name: Newisys NDS-SB1EA/NDS-SB1EA, BIOS HDS 9.00 11/13/2014
[  237.293623] task: ffff97654b0cdb80 task.stack: ffffb76cc4d74000
[  237.293627] RIP: 0010:[<ffffffffbb278d66>]  [<ffffffffbb278d66>] dup_fd+0xc6/0x280
[  237.293628] RSP: 0018:ffffb76cc4d77d68  EFLAGS: 00010246
[  237.293629] RAX: 0000000000000000 RBX: ffff97653b7b5b80 RCX: 0000000000000200
[  237.293630] RDX: 0000000000000001 RSI: ffffffffbbc65052 RDI: ffff976554563200
[  237.293632] RBP: ffffb76cc4d77da0 R08: ffff97655f29d350 R09: ffff97653b254540
[  237.293633] R10: 000000007ffffc00 R11: 000000000001d150 R12: ffff976554563180
[  237.293634] R13: ffffb76cc4d77e5c R14: ffff9765572b7468 R15: ffff9765572b7440
[  237.293636] FS:  00007f4d57546700(0000) GS:ffff97655f280000(0000) knlGS:0000000000000000
[  237.293637] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[  237.293638] CR2: ffff97653b254540 CR3: 000000085465f000 CR4: 00000000000406e0
[  237.293639] Stack:
[  237.293644]  000000013b7b5c00 ffff976554563200 ffff97653b7b5b80 0000000001200011
[  237.293647]  0000000000000000 0000000000000000 00007f4d575469d0 ffffb76cc4d77e90
[  237.293649]  ffffffffbb09fd68 0000000000000000 00000000ffffffff ffffffffbb0a1297
[  237.293650] Call Trace:
[  237.293657]  [<ffffffffbb09fd68>] copy_process.part.32+0x8b8/0x1c10
[  237.293660]  [<ffffffffbb0a1297>] ? _do_fork+0xd7/0x390
[  237.293663]  [<ffffffffbb1fd563>] ? handle_mm_fault+0x953/0x1610
[  237.293667]  [<ffffffffbb0a1297>] _do_fork+0xd7/0x390
[  237.293670]  [<ffffffffbb0b2936>] ? __set_current_blocked+0x36/0x50
[  237.293672]  [<ffffffffbb0a15f9>] SyS_clone+0x19/0x20
[  237.293675]  [<ffffffffbb003c17>] do_syscall_64+0x67/0x180
[  237.293678]  [<ffffffffbb81cd2b>] entry_SYSCALL64_slow_path+0x25/0x25
[  237.293710] Code: 00 00 00 49 89 47 48 49 8d 87 a0 00 00 00 49 89 47 30 49 8d 84 24 80 00 00 00 48 89 c7 48 89 45 d0 e8 bf 3c 5a 00 4d 8b 4c 24 20 <41> 8b 19 c1 eb 06 85 db 74 2a 49 8b 71 18 8d 43 ff 48 89 c2 48 
[  237.293713] RIP  [<ffffffffbb278d66>] dup_fd+0xc6/0x280
[  237.293714]  RSP <ffffb76cc4d77d68>
[  237.293714] CR2: ffff97653b254540
[  237.293716] ---[ end trace a8e6e3f47dca1fde ]---
[  237.293937] BUG: unable to handle kernel paging request at ffff97653b254540
[  237.293941] IP: [<ffffffffbb278f9a>] put_files_struct+0x3a/0xf0
[  237.293943] PGD 3e5284067 
[  237.293944] PUD 84b430063 
[  237.293945] PMD 8453a5063 
[  237.293946] PTE 0
[  237.293946] 
[  237.293947] Oops: 0000 [#3] SMP
[  237.293982] Modules linked in: fuse btrfs xor raid6_pq hfsplus hfs minix vfat msdos fat jfs xfs libcrc32c ipmi_devintf nfsv3 nfs_acl rpcsec_gss_krb5 auth_rpcgss nfsv4 dns_resolver nfs lockd grace sunrpc fscache raid1 ses enclosure intel_rapl sb_edac edac_core x86_pkg_temp_thermal intel_powerclamp kvm_intel kvm irqbypass crct10dif_pclmul ipmi_ssif crc32_pclmul crc32c_intel ghash_clmulni_intel iTCO_wdt mpt3sas iTCO_vendor_support e1000e ixgbe intel_cstate isci intel_uncore libsas raid_class ptp mei_me mdio scsi_transport_sas pps_core uas i2c_i801 dca intel_rapl_perf usb_storage joydev mei lpc_ich i2c_smbus shpchp ipmi_si ipmi_msghandler fjes tpm_tis tpm_tis_core tpm
[  237.293985] CPU: 2 PID: 9657 Comm: sh Tainted: G      D         4.9.6-200.fc25.x86_64 #1
[  237.293986] Hardware name: Newisys NDS-SB1EA/NDS-SB1EA, BIOS HDS 9.00 11/13/2014
[  237.293987] task: ffff97654b0cdb80 task.stack: ffffb76cc4d74000
[  237.293991] RIP: 0010:[<ffffffffbb278f9a>]  [<ffffffffbb278f9a>] put_files_struct+0x3a/0xf0
[  237.293992] RSP: 0018:ffffb76cc4d77e80  EFLAGS: 00010282
[  237.293993] RAX: 0000000000000000 RBX: ffff97654b0cdb80 RCX: ffff97654b0cdb80
[  237.293994] RDX: 0000000000000001 RSI: ffff97652d3fda00 RDI: ffff976554563180
[  237.293996] RBP: ffffb76cc4d77eb0 R08: ffff97654e03d180 R09: 0000000180150000
[  237.293997] R10: 0000000000880000 R11: 0000000000000000 R12: ffff976554563180
[  237.293998] R13: ffff97654b782200 R14: ffff97653b254540 R15: 0000000000000000
[  237.294000] FS:  00007f4d57546700(0000) GS:ffff97655f280000(0000) knlGS:0000000000000000
[  237.294001] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[  237.294003] CR2: ffff97653b254540 CR3: 00000003e4e07000 CR4: 00000000000406e0
[  237.294004] Stack:
[  237.294007]  ffff97654b0cdb80 ffff97654b0cdb80 ffff976554563180 ffff97654b782200
[  237.294010]  0000000000000001 ffff97654b782268 ffffb76cc4d77ed0 ffffffffbb2790e1
[  237.294012]  ffff97654b0cdb80 0000000000000000 ffffb76cc4d77f48 ffffffffbb0a660a
[  237.294013] Call Trace:
[  237.294018]  [<ffffffffbb2790e1>] exit_files+0x41/0x50
[  237.294021]  [<ffffffffbb0a660a>] do_exit+0x2aa/0xb00
[  237.294025]  [<ffffffffbb81e547>] rewind_stack_do_exit+0x17/0x20
[  237.294059] Code: 65 48 8b 0c 25 c0 d2 00 00 48 89 e5 41 57 41 56 41 55 41 54 41 89 c7 53 41 c1 e7 06 49 89 fc 48 83 ec 08 4c 8b 77 20 48 89 4d d0 <41> 8b 16 41 39 d7 73 7a 49 8b 76 18 44 8d 68 01 48 8b 1c c6 48 
[  237.294062] RIP  [<ffffffffbb278f9a>] put_files_struct+0x3a/0xf0
[  237.294063]  RSP <ffffb76cc4d77e80>
[  237.294063] CR2: ffff97653b254540
[  237.294065] ---[ end trace a8e6e3f47dca1fdf ]---
[  237.294066] Fixing recursive fault but reboot is needed!
[  237.942010] systemd-udevd[264]: worker [9660] terminated by signal 9 (Killed)
[  237.950301] systemd-udevd[264]: worker [9660] failed while handling '/devices/virtual/block/md1'
[  320.600695] md: md8: resync done.
[  320.617601] RAID1 conf printout:
[  320.621508]  --- wd:2 rd:2
[  320.624827]  disk 0, wo:0, o:1, dev:sda8
[  320.629493]  disk 1, wo:0, o:1, dev:sdb8
[  464.376010] BUG: unable to handle kernel paging request at ffff97653b251000
[  464.384232] IP: [<ffffffffbb4011cc>] clear_page+0xc/0x10
[  464.390526] PGD 3e5284067 [  464.393427] PUD 84b430063 
PMD 8453a5063 [  464.398246] PTE 0
[  464.400746] 
[  464.402684] Oops: 0002 [#4] SMP
[  464.406469] Modules linked in: fuse btrfs xor raid6_pq hfsplus hfs minix vfat msdos fat jfs xfs libcrc32c ipmi_devintf nfsv3 nfs_acl rpcsec_gss_krb5 auth_rpcgss nfsv4 dns_resolver nfs lockd grace sunrpc fscache raid1 ses enclosure intel_rapl sb_edac edac_core x86_pkg_temp_thermal intel_powerclamp kvm_intel kvm irqbypass crct10dif_pclmul ipmi_ssif crc32_pclmul crc32c_intel ghash_clmulni_intel iTCO_wdt mpt3sas iTCO_vendor_support e1000e ixgbe intel_cstate isci intel_uncore libsas raid_class ptp mei_me mdio scsi_transport_sas pps_core uas i2c_i801 dca intel_rapl_perf usb_storage joydev mei lpc_ich i2c_smbus shpchp ipmi_si ipmi_msghandler fjes tpm_tis tpm_tis_core tpm
[  464.480123] CPU: 0 PID: 9665 Comm: dropbear Tainted: G      D         4.9.6-200.fc25.x86_64 #1
[  464.490239] Hardware name: Newisys NDS-SB1EA/NDS-SB1EA, BIOS HDS 9.00 11/13/2014
[  464.498995] task: ffff97654a8b3d00 task.stack: ffffb76cc9424000
[  464.505891] RIP: 0010:[<ffffffffbb4011cc>]  [<ffffffffbb4011cc>] clear_page+0xc/0x10
[  464.515119] RSP: 0018:ffffb76cc9427a70  EFLAGS: 00010246
[  464.521335] RAX: 0000000000000000 RBX: ffffebdee0ec9440 RCX: 0000000000000200
[  464.529591] RDX: 0000000000000000 RSI: ffffebdee0ec9440 RDI: ffff97653b251000
[  464.537852] RBP: ffffb76cc9427b48 R08: 0000000000100000 R09: 0000000000780000
[  464.546110] R10: 0000000000880000 R11: 0000000000000001 R12: ffff97654a8b3d00
[  464.554367] R13: ffffebdee0ec9440 R14: ffffebdee0ec9480 R15: ffff97657ffe9d00
[  464.562624] FS:  00007f45ecd52340(0000) GS:ffff97655f200000(0000) knlGS:0000000000000000
[  464.572154] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[  464.578855] CR2: ffff97653b251000 CR3: 000000084b355000 CR4: 00000000000406f0
[  464.587113] Stack:
[  464.589635]  ffffffffbb1cba9e ffffffffffffffff 00000000000000f0 00000012001cba9e
[  464.598713]  0000000000000040 0000000100000000 0000001200000001 0000000000000001
[  464.607775]  0000000000000246 ffff97657ffe9d00 ffff97657ffea240 0000000000000246
[  464.616871] Call Trace:
[  464.619881]  [<ffffffffbb1cba9e>] ? get_page_from_freelist+0x37e/0xb00
[  464.627461]  [<ffffffffbb1cd27c>] __alloc_pages_nodemask+0x14c/0x340
[  464.634848]  [<ffffffffbb2232e5>] alloc_pages_current+0x95/0x140
[  464.641845]  [<ffffffffbb067f47>] pte_alloc_one+0x17/0x60
[  464.648159]  [<ffffffffbb1fa0ee>] __pte_alloc+0x1e/0x100
[  464.654377]  [<ffffffffbb1ff35c>] copy_page_range+0x84c/0xaf0
[  464.661084]  [<ffffffffbb1f4e04>] ? anon_vma_interval_tree_insert+0x84/0x90
[  464.669150]  [<ffffffffbb209917>] ? anon_vma_chain_link+0x37/0x40
[  464.676246]  [<ffffffffbb0a023b>] copy_process.part.32+0xd8b/0x1c10
[  464.683532]  [<ffffffffbb0a1297>] _do_fork+0xd7/0x390
[  464.689458]  [<ffffffffbb279290>] ? get_unused_fd_flags+0x30/0x40
[  464.696547]  [<ffffffffbb0a15f9>] SyS_clone+0x19/0x20
[  464.702495]  [<ffffffffbb003c17>] do_syscall_64+0x67/0x180
[  464.708907]  [<ffffffffbb81cd2b>] entry_SYSCALL64_slow_path+0x25/0x25
[  464.716387] Code: 7e 04 31 c0 eb cb 85 c0 7e c7 83 ea 01 48 63 d2 0f b6 54 15 d0 eb 9c e8 d3 0b ca ff 90 90 90 66 66 90 66 90 b9 00 02 00 00 31 c0 <f3> 48 ab c3 31 c0 b9 40 00 00 00 66 0f 1f 84 00 00 00 00 00 ff 
[  464.743429] RIP  [<ffffffffbb4011cc>] clear_page+0xc/0x10
[  464.749827]  RSP <ffffb76cc9427a70>
[  464.753999] CR2: ffff97653b251000
[  464.757981] ---[ end trace a8e6e3f47dca1fe0 ]---


[  306.517439] BUG: unable to handle kernel paging request at 0000000000326799
[  306.525658] IP: [<ffffffff9d0da1c3>] update_cfs_shares+0x73/0xf0
[  306.532734] PGD 0 [  306.534856] 
[  306.536864] Oops: 0000 [#1] SMP
[  306.540648] Modules linked in: fuse btrfs xor raid6_pq hfsplus hfs minix vfat msdos fat jfs xfs libcrc32c ipmi_devintf nfsv3 nfs_acl rpcsec_gss_krb5 auth_rpcgss nfsv4 dns_resolver nfs lockd grace sunrpc fscache raid1 ses enclosure intel_rapl sb_edac edac_core x86_pkg_temp_thermal intel_powerclamp kvm_intel kvm irqbypass ipmi_ssif crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel iTCO_wdt iTCO_vendor_support ixgbe e1000e mpt3sas intel_cstate isci intel_uncore libsas raid_class ptp scsi_transport_sas mdio pps_core mei_me uas dca i2c_i801 intel_rapl_perf joydev usb_storage mei i2c_smbus lpc_ich shpchp ipmi_si ipmi_msghandler fjes tpm_tis tpm_tis_core tpm
[  306.614079] CPU: 3 PID: 9693 Comm: systemd-udevd Not tainted 4.9.6-200.fc25.x86_64 #1
[  306.623310] Hardware name: Newisys NDS-SB1EA/NDS-SB1EA, BIOS HDS 9.00 11/13/2014
[  306.632056] task: ffff93940b261e80 task.stack: ffffb3f9ca8c4000
[  306.638946] RIP: 0010:[<ffffffff9d0da1c3>]  [<ffffffff9d0da1c3>] update_cfs_shares+0x73/0xf0
[  306.648937] RSP: 0018:ffff93941f2c3de8  EFLAGS: 00010012
[  306.655148] RAX: 00000000000f6d70 RBX: 0000000000326761 RCX: 0000000000000426
[  306.663402] RDX: 0000000000000160 RSI: 0000000000100000 RDI: ffff939417228600
[  306.671658] RBP: ffff93941f2c3e00 R08: 0000000000000000 R09: 0000000000000000
[  306.679903] R10: ffff93941b772fe8 R11: ffff93940b261f00 R12: 0000000000000002
[  306.688158] R13: ffff939417228600 R14: ffff93940b261f00 R15: 0000000000054c00
[  306.696413] FS:  00007f0c2db85640(0000) GS:ffff93941f2c0000(0000) knlGS:0000000000000000
[  306.705931] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[  306.712628] CR2: 0000000000326799 CR3: 000000084afde000 CR4: 00000000000406e0
[  306.720872] Stack:
[  306.723388]  ffff939417228600 00000000000002cb ffff939417228600 ffff93941f2c3e78
[  306.732440]  ffffffff9d0dec9b ffff93940b261e80 ffff93941f2d9600 ffff93941f2c3e30
[  306.741501]  ffffffff9d02fdf9 ffff93941f2c3e50 ffffffff9d0d3879 ffff93941f2d9600
[  306.750560] Call Trace:
[  306.753565]  <IRQ> [  306.755785]  [<ffffffff9d0dec9b>] task_tick_fair+0x50b/0x930
[  306.762663]  [<ffffffff9d02fdf9>] ? sched_clock+0x9/0x10
[  306.768876]  [<ffffffff9d0d3879>] ? sched_clock_cpu+0x99/0xb0
[  306.775575]  [<ffffffff9d0cf3e9>] scheduler_tick+0x59/0xd0
[  306.781984]  [<ffffffff9d1241b0>] ? tick_sched_do_timer+0x50/0x50
[  306.789072]  [<ffffffff9d113da7>] update_process_times+0x47/0x60
[  306.796062]  [<ffffffff9d123b05>] tick_sched_handle.isra.15+0x25/0x60
[  306.803536]  [<ffffffff9d1241ed>] tick_sched_timer+0x3d/0x70
[  306.810135]  [<ffffffff9d11480e>] __hrtimer_run_queues+0xee/0x260
[  306.817226]  [<ffffffff9d114f9a>] hrtimer_interrupt+0x9a/0x180
[  306.824023]  [<ffffffff9d04bf08>] local_apic_timer_interrupt+0x38/0x60
[  306.831597]  [<ffffffff9d81f82d>] smp_apic_timer_interrupt+0x3d/0x50
[  306.838973]  [<ffffffff9d81e9ec>] apic_timer_interrupt+0x8c/0xa0
[  306.845965]  <EOI> [  306.848184]  [<ffffffff9d402c21>] ? __memmove+0x81/0x1a0
[  306.854674]  [<ffffffff9d2e1e63>] ? sysfs_kf_read+0x83/0xc0
[  306.861174]  [<ffffffff9d2e1784>] kernfs_fop_read+0xb4/0x190
[  306.867776]  [<ffffffff9d258667>] __vfs_read+0x37/0x150
[  306.873891]  [<ffffffff9d3729db>] ? security_file_permission+0x9b/0xc0
[  306.881456]  [<ffffffff9d2597e6>] vfs_read+0x96/0x130
[  306.887377]  [<ffffffff9d25acd5>] SyS_read+0x55/0xc0
[  306.893202]  [<ffffffff9d81cc77>] entry_SYSCALL_64_fastpath+0x1a/0xa9
[  306.900677] Code: 8f 98 00 00 00 48 8b b0 c8 00 00 00 48 c1 ea 0a 48 89 d0 48 0f af c6 48 01 d1 74 05 48 99 48 f7 f9 48 83 f8 02 41 bc 02 00 00 00 <8b> 4b 38 4c 0f 47 e0 4c 8b ab 50 01 00 00 4c 39 e6 4c 0f 42 e6 
[  306.927609] RIP  [<ffffffff9d0da1c3>] update_cfs_shares+0x73/0xf0
[  306.934778]  RSP <ffff93941f2c3de8>
[  306.938946] CR2: 0000000000326799
[  306.942924] ---[ end trace a2569b21ffdc09ad ]---
[  306.942928] BUG: unable to handle kernel NULL pointer dereference at 0000000000000008
[  306.942933] IP: [<ffffffff9d3fada4>] __rb_insert_augmented+0x24/0x210
[  306.942934] PGD 0 
[  306.942934] 
[  306.942936] Oops: 0000 [#2] SMP
[  306.942961] Modules linked in: fuse btrfs xor raid6_pq hfsplus hfs minix vfat msdos fat jfs xfs libcrc32c ipmi_devintf nfsv3 nfs_acl rpcsec_gss_krb5 auth_rpcgss nfsv4 dns_resolver nfs lockd grace sunrpc fscache raid1 ses enclosure intel_rapl sb_edac edac_core x86_pkg_temp_thermal intel_powerclamp kvm_intel kvm irqbypass ipmi_ssif crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel iTCO_wdt iTCO_vendor_support ixgbe e1000e mpt3sas intel_cstate isci intel_uncore libsas raid_class ptp scsi_transport_sas mdio pps_core mei_me uas dca i2c_i801 intel_rapl_perf joydev usb_storage mei i2c_smbus lpc_ich shpchp ipmi_si ipmi_msghandler fjes tpm_tis tpm_tis_core tpm
[  306.942964] CPU: 11 PID: 9690 Comm: sh Tainted: G      D         4.9.6-200.fc25.x86_64 #1
[  306.942964] Hardware name: Newisys NDS-SB1EA/NDS-SB1EA, BIOS HDS 9.00 11/13/2014
[  306.942965] task: ffff93940aecdb80 task.stack: ffffb3f9c8fe4000
[  306.942968] RIP: 0010:[<ffffffff9d3fada4>]  [<ffffffff9d3fada4>] __rb_insert_augmented+0x24/0x210
[  306.942969] RSP: 0018:ffffb3f9c8fe7d70  EFLAGS: 00010246
[  306.942970] RAX: ffff93941b784418 RBX: 0000000000000000 RCX: ffff9393f61e5a80
[  306.942971] RDX: ffffffff9d1f47e0 RSI: ffff939419bc6558 RDI: ffff9393f61e5ad8
[  306.942972] RBP: ffffb3f9c8fe7d90 R08: ffff939419bc6558 R09: ffff93941b784428
[  306.942972] R10: ffff93940e224078 R11: ffff93940b32b840 R12: ffff939417292640
[  306.942973] R13: ffff939419bc6558 R14: ffff939419bc6560 R15: 00007f5e822789d0
[  306.942975] FS:  00007f5e82278700(0000) GS:ffff93941f4c0000(0000) knlGS:0000000000000000
[  306.942976] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[  306.942976] CR2: 0000000000000008 CR3: 000000084d94b000 CR4: 00000000000406e0
[  306.942977] Stack:
[  306.942979]  ffffffff9d0a00fe ffff93940a915840 ffff939417292640 ffff9393f61e5a80
[  306.942981]  ffffb3f9c8fe7da0 ffffffff9d1f4d69 ffffb3f9c8fe7e90 ffffffff9d0a01cd
[  306.942983]  0000000000000000 0000000000000000 00000007c6f3bb8b ffff939419bc6538
[  306.942983] Call Trace:
[  306.942988]  [<ffffffff9d0a00fe>] ? copy_process.part.32+0xc4e/0x1c10
[  306.942993]  [<ffffffff9d1f4d69>] vma_interval_tree_insert_after+0x89/0xa0
[  306.942995]  [<ffffffff9d0a01cd>] copy_process.part.32+0xd1d/0x1c10
[  306.942998]  [<ffffffff9d0a1297>] _do_fork+0xd7/0x390
[  306.943001]  [<ffffffff9d0b2936>] ? __set_current_blocked+0x36/0x50
[  306.943002]  [<ffffffff9d0a15f9>] SyS_clone+0x19/0x20
[  306.943004]  [<ffffffff9d003c17>] do_syscall_64+0x67/0x180
[  306.943007]  [<ffffffff9d81cd2b>] entry_SYSCALL64_slow_path+0x25/0x25
[  306.943028] Code: e9 d3 fe ff ff 66 90 48 8b 07 48 85 c0 0f 84 f5 01 00 00 55 48 89 e5 41 55 41 54 53 49 89 f5 48 83 ec 08 48 8b 18 f6 c3 01 75 45 <48> 8b 4b 08 48 89 de 48 39 c1 0f 84 9b 00 00 00 48 85 c9 74 3b 
[  306.943030] RIP  [<ffffffff9d3fada4>] __rb_insert_augmented+0x24/0x210
[  306.943030]  RSP <ffffb3f9c8fe7d70>
[  306.943031] CR2: 0000000000000008
[  306.943050] ---[ end trace a2569b21ffdc09ae ]---
[  307.282458] Kernel panic - not syncing: Fatal exception in interrupt
[  307.289837] Kernel Offset: 0x1c000000 from 0xffffffff81000000 (relocation range: 0xffffffff80000000-0xffffffffbfffffff)
[  307.302323] ---[ end Kernel panic - not syncing: Fatal exception in interrupt


[   29.558763] BUG: unable to handle kernel [   29.558837] ------------[ cut here ]------------
[   29.558845] WARNING: CPU: 8 PID: 927 at mm/vmacache.c:100 vmacache_find+0xc2/0xd0
[   29.558845] Modules linked in:
[   29.558846]  nfsv3 nfs_acl rpcsec_gss_krb5 auth_rpcgss nfsv4 dns_resolver nfs lockd grace sunrpc fscache raid1 ses enclosure intel_rapl sb_edac edac_core x86_pkg_temp_thermal intel_powerclamp kvm_intel kvm irqbypass crct10dif_pclmul ipmi_ssif crc32_pclmul crc32c_intel ghash_clmulni_intel ixgbe intel_cstate e1000e mpt3sas isci iTCO_wdt iTCO_vendor_support mei_me uas intel_uncore libsas raid_class intel_rapl_perf ptp usb_storage scsi_transport_sas mei pps_core mdio dca ipmi_si i2c_i801 joydev lpc_ich shpchp i2c_smbus ipmi_msghandler fjes tpm_tis tpm_tis_core tpm[   29.558876] CPU: 8 PID: 927 Comm: systemd-udevd Not tainted 4.9.6-200.fc25.x86_64 #1
[   29.558877] Hardware name: Newisys NDS-SB1EA/NDS-SB1EA, BIOS HDS 9.00 11/13/2014
[   29.558879]  ffffa8b5848f7e20
[   29.558879]  ffffffffab3f414d 0000000000000000 0000000000000000 ffffa8b5848f7e60
[   29.558881]  ffffffffab0a202b 00000064ab2a3442 00007fd73671bae0 ffff9c000b0a50c0
[   29.558883]  ffffa8b5848f7f58 ffff9c000b0a50c0 0000000000000055Call Trace:
[   29.558892]  [<ffffffffab3f414d>] dump_stack+0x63/0x86
[   29.558894]  [<ffffffffab0a202b>] __warn+0xcb/0xf0
[   29.558896]  [<ffffffffab0a215d>] warn_slowpath_null+0x1d/0x20
[   29.558898]  [<ffffffffab1f47d2>] vmacache_find+0xc2/0xd0
[   29.558900]  [<ffffffffab202bcb>] find_vma+0x1b/0x70
[   29.558903]  [<ffffffffab062745>] __do_page_fault+0x175/0x4e0
[   29.558905]  [<ffffffffab062ae0>] do_page_fault+0x30/0x80
[   29.558909]  [<ffffffffab81e148>] page_fault+0x28/0x30
[   29.558911] ---[ end trace 31afa7f00727e26f ]---
[   29.558981] systemd-udevd[927]: segfault at 7ffecb7dc2c8 ip 0000562a8d3c40bc sp 00007ffecb7dc2d0 error 7
[   29.558985]  in systemd-udevd[562a8d3b5000+67000]paging request at ffff9c001b0f1000
[   29.765512] IP: [<ffffffffab402c21>] __memmove+0x81/0x1a0
[   29.771904] PGD 3e1288067 [   29.774804] PUD 85aca0063 
PMD 85723d063 [   29.779611] PTE 800000085b0f1161
[   29.783552] 
[   29.785485] Oops: 0003 [#1] SMP
[   29.789268] Modules linked in: nfsv3 nfs_acl rpcsec_gss_krb5 auth_rpcgss nfsv4 dns_resolver nfs lockd grace sunrpc fscache raid1 ses enclosure intel_rapl sb_edac edac_core x86_pkg_temp_thermal intel_powerclamp kvm_intel kvm irqbypass crct10dif_pclmul ipmi_ssif crc32_pclmul crc32c_intel ghash_clmulni_intel ixgbe intel_cstate e1000e mpt3sas isci iTCO_wdt iTCO_vendor_support mei_me uas intel_uncore libsas raid_class intel_rapl_perf ptp usb_storage scsi_transport_sas mei pps_core mdio dca ipmi_si i2c_i801 joydev lpc_ich shpchp i2c_smbus ipmi_msghandler fjes tpm_tis tpm_tis_core tpm
[   29.852839] CPU: 5 PID: 934 Comm: systemd-udevd Tainted: G        W       4.9.6-200.fc25.x86_64 #1
[   29.863333] Hardware name: Newisys NDS-SB1EA/NDS-SB1EA, BIOS HDS 9.00 11/13/2014
[   29.872079] task: ffff9c000ead5b80 task.stack: ffffa8b584a44000
[   29.878971] RIP: 0010:[<ffffffffab402c21>]  [<ffffffffab402c21>] __memmove+0x81/0x1a0
[   29.888284] RSP: 0018:ffffa8b584a47dd0  EFLAGS: 00010a02
[   29.894495] RAX: ffff9c001b076000 RBX: ffffffffffffeff0 RCX: 1fffffffffff07fe
[   29.902747] RDX: ffffffffffffeff0 RSI: ffff9c001b0f2000 RDI: ffff9c001b0f1000
[   29.911000] RBP: ffffa8b584a47df8 R08: 0000000000000000 R09: 0000000000000000
[   29.919253] R10: ffff9c001b074fe8 R11: 0000000000000000 R12: ffff9c001b076000
[   29.927505] R13: 0000000000001000 R14: 0000000000001000 R15: ffff9c000ad85c00
[   29.935759] FS:  00007fd737805640(0000) GS:ffff9c001f340000(0000) knlGS:0000000000000000
[   29.945283] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[   29.951981] CR2: ffff9c001b0f1000 CR3: 000000084b760000 CR4: 00000000000406e0
[   29.960234] Stack:
[   29.962750]  ffffffffab2e1e63 ffff9c001b076000 ffffa8b584a47f18 ffffa8b584a47f18
[   29.971807]  0000562a8ef47ee0 ffffa8b584a47e40 ffffffffab2e1784 0000000000001000
[   29.980866]  ffff9c000ad85c18 ffff9c000e0a2300 ffffa8b584a47f18 ffff9c000e0a2300
[   29.989925] Call Trace:
[   29.992929]  [<ffffffffab2e1e63>] ? sysfs_kf_read+0x83/0xc0
[   29.999431]  [<ffffffffab2e1784>] kernfs_fop_read+0xb4/0x190
[   30.006033]  [<ffffffffab258667>] __vfs_read+0x37/0x150
[   30.012150]  [<ffffffffab3729db>] ? security_file_permission+0x9b/0xc0
[   30.019724]  [<ffffffffab2597e6>] vfs_read+0x96/0x130
[   30.025645]  [<ffffffffab25acd5>] SyS_read+0x55/0xc0
[   30.031468]  [<ffffffffab81cc77>] entry_SYSCALL_64_fastpath+0x1a/0xa9
[   30.038944] Code: 08 4c 89 4f 10 4c 89 47 18 48 8d 7f 20 73 d4 48 83 c2 20 e9 a2 00 00 00 66 90 48 89 d1 4c 8b 5c 16 f8 4c 8d 54 17 f8 48 c1 e9 03 <f3> 48 a5 4d 89 1a e9 0c 01 00 00 0f 1f 40 00 48 89 d1 4c 8b 1e 
[   30.065876] RIP  [<ffffffffab402c21>] __memmove+0x81/0x1a0
[   30.072361]  RSP <ffffa8b584a47dd0>
[   30.076530] CR2: ffff9c001b0f1000
[   30.080505] ---[ end trace 31afa7f00727e270 ]---
[   30.080509] BUG: unable to handle kernel paging request at ffff9b0292db5000
[   30.080513] IP: [<ffffffffab5861fc>] scsi_finish_command+0xac/0x120
[   30.080514] PGD 0 
[   30.080514] 
[   30.080516] Oops: 0000 [#2] SMP
[   30.080534] Modules linked in: nfsv3 nfs_acl rpcsec_gss_krb5 auth_rpcgss nfsv4 dns_resolver nfs lockd grace sunrpc fscache raid1 ses enclosure intel_rapl sb_edac edac_core x86_pkg_temp_thermal intel_powerclamp kvm_intel kvm irqbypass crct10dif_pclmul ipmi_ssif crc32_pclmul crc32c_intel ghash_clmulni_intel ixgbe intel_cstate e1000e mpt3sas isci iTCO_wdt iTCO_vendor_support mei_me uas intel_uncore libsas raid_class intel_rapl_perf ptp usb_storage scsi_transport_sas mei pps_core mdio dca ipmi_si i2c_i801 joydev lpc_ich shpchp i2c_smbus ipmi_msghandler fjes tpm_tis tpm_tis_core tpm
[   30.080536] CPU: 0 PID: 0 Comm: swapper/0 Tainted: G      D W       4.9.6-200.fc25.x86_64 #1
[   30.080537] Hardware name: Newisys NDS-SB1EA/NDS-SB1EA, BIOS HDS 9.00 11/13/2014
[   30.080538] task: ffffffffabe0e500 task.stack: ffffffffabe00000
[   30.080540] RIP: 0010:[<ffffffffab5861fc>]  [<ffffffffab5861fc>] scsi_finish_command+0xac/0x120
[   30.080541] RSP: 0018:ffff9c001f203e98  EFLAGS: 00010297
[   30.080542] RAX: ffff9b0292db5000 RBX: ffff9c0014579980 RCX: 0000000000000000
[   30.080543] RDX: 0000000000000000 RSI: 0000000000002002 RDI: ffff9c001b2cd000
[   30.080544] RBP: ffff9c001f203eb8 R08: ffff9c001456ad68 R09: ffffffffabe03e70
[   30.080545] R10: 000000000000001f R11: 0000000000000043 R12: 000000000001e000
[   30.080546] R13: ffff9c0014cdb428 R14: ffff9c001b334800 R15: 0000000000000004
[   30.080547] FS:  0000000000000000(0000) GS:ffff9c001f200000(0000) knlGS:0000000000000000
[   30.080548] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[   30.080549] CR2: ffff9b0292db5000 CR3: 000000084a42b000 CR4: 00000000000406f0
[   30.080549] Stack:
[   30.080552]  ffff9c0014579980 0000000000000005 0000000000002002 0000000000007530
[   30.080554]  ffff9c001f203ee8 ffffffffab58ec82 ffff9c001456ad68 ffff9c001456acf0
[   30.080555]  ffff9c001f203ef8 ffffffffabe05120 ffff9c001f203f28 ffffffffab3cd8ec
[   30.080556] Call Trace:
[   30.080560]  <IRQ> 
[   30.080560]  [<ffffffffab58ec82>] scsi_softirq_done+0x122/0x150
[   30.080563]  [<ffffffffab3cd8ec>] blk_done_softirq+0x8c/0xc0
[   30.080565]  [<ffffffffab81fa2c>] __do_softirq+0x10c/0x2a2
[   30.080568]  [<ffffffffab0a84af>] irq_exit+0xff/0x110
[   30.080570]  [<ffffffffab81f774>] do_IRQ+0x54/0xd0
[   30.080572]  [<ffffffffab81d60c>] common_interrupt+0x8c/0x8c
[   30.080578]  <EOI> 
[   30.080578]  [<ffffffffab6a8fff>] ? cpuidle_enter_state+0x11f/0x2c0
[   30.080580]  [<ffffffffab6a91d7>] cpuidle_enter+0x17/0x20
[   30.080583]  [<ffffffffab0e7833>] call_cpuidle+0x23/0x40
[   30.080585]  [<ffffffffab0e7aab>] cpu_startup_entry+0x15b/0x240
[   30.080588]  [<ffffffffab80f337>] rest_init+0x77/0x80
[   30.080592]  [<ffffffffabf81feb>] start_kernel+0x45f/0x480
[   30.080594]  [<ffffffffabf81120>] ? early_idt_handler_array+0x120/0x120
[   30.080596]  [<ffffffffabf812ca>] x86_64_start_reservations+0x24/0x26
[   30.080597]  [<ffffffffabf81419>] x86_64_start_kernel+0x14d/0x170
[   30.080618] Code: 0c 83 e0 07 83 f8 04 77 6a 48 8b 83 00 01 00 00 44 8b a3 e8 00 00 00 83 78 44 02 74 51 48 8b 80 c0 00 00 00 48 8b 80 d0 03 00 00 <48> 8b 00 48 8b 80 90 00 00 00 48 85 c0 74 1d 48 89 df ff d0 44 
[   30.080620] RIP  [<ffffffffab5861fc>] scsi_finish_command+0xac/0x120
[   30.080621]  RSP <ffff9c001f203e98>
[   30.080621] CR2: ffff9b0292db5000
[   30.080626] ---[ end trace 31afa7f00727e271 ]---
[   30.080628] BUG: unable to handle kernel 
[   30.080628] Kernel panic - not syncing: Fatal exception in interrupt
[   30.080630] NULL pointer dereference at           (null)
[   30.080634] IP: [<ffffffffab20bcfc>] unlink_anon_vmas+0x2c/0x1b0
[   30.080636] PGD 0 
[   30.080636] 
[   30.080637] Oops: 0000 [#3] SMP
[   30.080656] Modules linked in: nfsv3 nfs_acl rpcsec_gss_krb5 auth_rpcgss nfsv4 dns_resolver nfs lockd grace sunrpc fscache raid1 ses enclosure intel_rapl sb_edac edac_core x86_pkg_temp_thermal intel_powerclamp kvm_intel kvm irqbypass crct10dif_pclmul ipmi_ssif crc32_pclmul crc32c_intel ghash_clmulni_intel ixgbe intel_cstate e1000e mpt3sas isci iTCO_wdt iTCO_vendor_support mei_me uas intel_uncore libsas raid_class intel_rapl_perf ptp usb_storage scsi_transport_sas mei pps_core mdio dca ipmi_si i2c_i801 joydev lpc_ich shpchp i2c_smbus ipmi_msghandler fjes tpm_tis tpm_tis_core tpm
[   30.080658] CPU: 8 PID: 927 Comm: systemd-udevd Tainted: G      D W       4.9.6-200.fc25.x86_64 #1
[   30.080658] Hardware name: Newisys NDS-SB1EA/NDS-SB1EA, BIOS HDS 9.00 11/13/2014
[   30.080659] task: ffff9c00146f1e80 task.stack: ffffa8b5848f4000
[   30.080662] RIP: 0010:[<ffffffffab20bcfc>]  [<ffffffffab20bcfc>] unlink_anon_vmas+0x2c/0x1b0
[   30.080663] RSP: 0000:ffffa8b5848f7b60  EFLAGS: 00010213
[   30.080664] RAX: ffff9c001b0bfaf8 RBX: 0000000000000000 RCX: ffff9c000acd4359
[   30.080665] RDX: 00007fd73760c000 RSI: ffff9c000acd4358 RDI: ffff9c001b0bfa80
[   30.080666] RBP: ffffa8b5848f7ba0 R08: 0000000000000000 R09: 000000018040000f
[   30.080667] R10: 0000000000000000 R11: ffff9c0011c09a18 R12: 00007fd73569e000
[   30.080667] R13: ffffa8b5848f7bf8 R14: 0000000000000000 R15: ffff9c001b0bfa80
[   30.080669] FS:  0000000000000000(0000) GS:ffff9c001f400000(0000) knlGS:0000000000000000
[   30.080670] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[   30.080671] CR2: 0000000000000000 CR3: 0000000853a1a000 CR4: 00000000000406e0
[   30.080671] Stack:
[   30.080673]  ffffa8b5848f7b70 ffff9c001b0bfa80 ffff9c001b0bfaf8 0000000000000000
[   30.080675]  00007fd73569e000 ffffa8b5848f7bf8 0000000000000000 ffff9c001b0bfa80
[   30.080677]  ffffa8b5848f7be0 ffffffffab1fa051 0000000000000000 0000000000000000
[   30.080677] Call Trace:
[   30.080680]  [<ffffffffab1fa051>] free_pgtables+0xa1/0x120
[   30.080681]  [<ffffffffab2052c1>] exit_mmap+0xc1/0x170
[   30.080685]  [<ffffffffab09e956>] mmput+0x66/0x110
[   30.080687]  [<ffffffffab0a65cd>] do_exit+0x26d/0xb00
[   30.080689]  [<ffffffffab0a6ee7>] do_group_exit+0x47/0xb0
[   30.080691]  [<ffffffffab0b2369>] get_signal+0x289/0x630
[   30.080695]  [<ffffffffab026067>] do_signal+0x37/0x690
[   30.080697]  [<ffffffffab200292>] ? print_vma_addr+0x82/0x100
[   30.080699]  [<ffffffffab06221a>] ? __bad_area_nosemaphore+0xfa/0x1c0
[   30.080703]  [<ffffffffab0fd6d9>] ? vprintk_default+0x29/0x40
[   30.080704]  [<ffffffffab062346>] ? bad_area+0x46/0x50
[   30.080706]  [<ffffffffab062996>] ? __do_page_fault+0x3c6/0x4e0
[   30.080709]  [<ffffffffab003286>] exit_to_usermode_loop+0x76/0xb0
[   30.080711]  [<ffffffffab003af0>] prepare_exit_to_usermode+0x40/0x50
[   30.080713]  [<ffffffffab81d62f>] retint_user+0x8/0x10
[   30.080734] Code: 66 66 66 90 55 48 89 f8 48 83 c0 78 48 89 e5 41 57 41 56 41 55 41 54 53 48 83 ec 18 4c 8b 77 78 48 89 7d c8 48 89 45 d0 49 39 c6 <49> 8b 0e 0f 84 17 01 00 00 4d 8d 6e f0 48 8d 59 f0 31 d2 eb 2f 
[   30.080736] RIP  [<ffffffffab20bcfc>] unlink_anon_vmas+0x2c/0x1b0
[   30.080737]  RSP <ffffa8b5848f7b60>
[   30.080737] CR2: 0000000000000000
[   30.080738] ---[ end trace 31afa7f00727e272 ]---
[   30.080739] Fixing recursive fault but reboot is needed!
[   30.837245] Kernel Offset: 0x2a000000 from 0xffffffff81000000 (relocation range: 0xffffffff80000000-0xffffffffbfffffff)
[   30.849787] ---[ end Kernel panic - not syncing: Fatal exception in interrupt

Comment 2 Nate Clark 2017-02-13 16:38:42 UTC
It appears that the issue has been resolved in 4.9.7. Not sure what change resolved the issue but I have not seen the same BUG with 4.9.7.


Note You need to log in before you can comment on or make changes to this bug.